Bug 746462 - Improper window maximization and drag behavior on secondary monitor
Improper window maximization and drag behavior on secondary monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 832820 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-16 05:44 EDT by Dylan R. Semler
Modified: 2013-08-01 02:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Video showing improper behavior (3.15 MB, video/ogg)
2011-10-16 06:01 EDT, Dylan R. Semler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 666073 None None None Never

  None (edit)
Description Dylan R. Semler 2011-10-16 05:44:02 EDT
Description of problem:
I observe several problems with window maximization and drag behavior on windows positioned in a secondary monitor.  I don't ever observe these problems on the primary monitor.  The resolutions of the monitors are:

Primary:    1280x800
Secondary:  1920x1080

The secondary monitor is above the first.

The improper behavior is described below, but it's more easily understood by watching the attached video.

1.  When maximizing a window, the window is maximized vertically but not horizontally.  The horizontal border is positioned to what appears to be the edge of the primary monitor below it.

2.  Maximizing to half of the screen does not work.  Dragging a window to the right or left border does not result in the corresponding half of the desktop being highlighted.

3.  There are arbitrary "stick" or "snap" lines.  When dragging a window horizontally, it sticks to this line until dragged well past the line.  The vertical line is in a different position when dragging left vs. right.

Version-Release number of selected component (if applicable):
metacity-2.34.0-2.fc15.x86_64

How reproducible:
This behavior is only reproducible when the secondary monitor is "above" the first.  Arranging the secondary monitor below, left, or right results in windows behaving as expected.  I've tested this with two secondary monitors that both have larger horizontal resolutions than the primary.  I don't have access to one the same size or smaller. 


Additional info:
Video card is an Intel mobile GM45 Express using xorg-x11-drv-intel-2.15.0-5.fc15.x86_64.
Comment 1 Dylan R. Semler 2011-10-16 06:01:57 EDT
Created attachment 528374 [details]
Video showing improper behavior
Comment 2 Dylan R. Semler 2011-12-02 06:02:58 EST
I have verified that this issue is still present in Fedora 16 with metacity-2.34.1-1.fc16.x86_64.
Comment 3 Dylan R. Semler 2011-12-12 08:26:08 EST
Changing component from metacity to mutter as I think it's more accurate.
Comment 4 Dylan R. Semler 2011-12-13 05:05:35 EST
I was instructed to re-file this upstream: https://bugzilla.gnome.org/show_bug.cgi?id=666073
Comment 5 Matt Chan 2012-11-01 14:17:45 EDT
I can reproduce in F17. 

Upstream said it's not supported in the Xorg spec to have one monitor above the other. Not sure whether we should then file a new bug against gnome-control-centre.desktop.

I'll wait for a dev to comment.

Matt
Comment 6 Christopher Beland 2013-02-11 14:24:36 EST
*** Bug 832820 has been marked as a duplicate of this bug. ***
Comment 7 Christopher Beland 2013-02-11 14:31:21 EST
It sounds like Bug 711479 may be related to this one; it happens in the same dual monitor configuration.

Both are reproduced in Fedora 18 with:
gnome-shell-3.6.2-6.fc18.x86_64
mutter-3.6.2-1.fc18.x86_64
control-center-3.6.3-1.fc18.x86_64
Comment 8 Fedora End Of Life 2013-07-03 21:42:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 02:25:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.